Bug 1006041 - Review Request: heisenbug-backgrounds - Heisenbug desktop backgrounds
Review Request: heisenbug-backgrounds - Heisenbug desktop backgrounds
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Flink
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DESIGN-SW 1005251 heisenbug-kde-theme
  Show dependency treegraph
 
Reported: 2013-09-09 16:56 EDT by Martin Sourada
Modified: 2013-09-13 23:09 EDT (History)
5 users (show)

See Also:
Fixed In Version: heisenbug-backgrounds-19.90.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 23:09:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tflink: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Martin Sourada 2013-09-09 16:56:53 EDT
Spec URL: http://mso.fedorapeople.org/packages/SPECS/heisenbug-backgrounds.spec
SRPM URL: http://mso.fedorapeople.org/packages/SRPMS/heisenbug-backgrounds-19.90.0-1.fc19.src.rpm
Description: This package contains desktop backgrounds for the Heisenbug theme.
Pulls in themes for GNOME, KDE, Mate and Xfce desktops.
Fedora Account System Username: mso

Additional info:
Package is basically clone of schroedinger-cat-backgrounds with Heisenbug wallpapers. Rpmlint complaints about the comments (warnings from lines 37 to 197), which is OK, it's a code that's supposed to be enabled at some later time.  The artwork page on wiki also doesn't exist yet, even though it has a subpage (for supplemental wallpaper submissions). Dangling relative symlinks are ok, provided by required subpackage, the same goes for nodoc.

I quick-tested it in xfce, gnome, mate and kde, on my NB it works on all of them.
Comment 1 Jaroslav Reznik 2013-09-09 17:54:50 EDT
Schroedinger-cat-backgrounds review for reference https://bugzilla.redhat.com/show_bug.cgi?id=918801
Comment 2 Tim Flink 2013-09-09 19:03:05 EDT
    Mandatory review guidelines:
     - rpmlint output:

    [tflink@river heisenbug-backgrounds]$ rpmlint heisenbug-backgrounds-19.90.0-1.fc19.src.rpm 
    heisenbug-backgrounds.src: W: invalid-url URL: https://fedoraproject.org/wiki/F20_Artwork HTTP Error 404: Not Found
    heisenbug-backgrounds.src:37: W: macro-in-comment %package
    heisenbug-backgrounds.src:41: W: macro-in-comment %{name}
    heisenbug-backgrounds.src:41: W: macro-in-comment %{version}
    heisenbug-backgrounds.src:41: W: macro-in-comment %{release}
    heisenbug-backgrounds.src:43: W: macro-in-comment %description
    heisenbug-backgrounds.src:90: W: macro-in-comment %package
    heisenbug-backgrounds.src:95: W: macro-in-comment %description
    heisenbug-backgrounds.src:99: W: macro-in-comment %package
    heisenbug-backgrounds.src:103: W: macro-in-comment %{name}
    heisenbug-backgrounds.src:105: W: macro-in-comment %description
    heisenbug-backgrounds.src:109: W: macro-in-comment %package
    heisenbug-backgrounds.src:113: W: macro-in-comment %{name}
    heisenbug-backgrounds.src:115: W: macro-in-comment %description
    heisenbug-backgrounds.src:118: W: macro-in-comment %package
    heisenbug-backgrounds.src:122: W: macro-in-comment %{name}
    heisenbug-backgrounds.src:124: W: macro-in-comment %description
    heisenbug-backgrounds.src:127: W: macro-in-comment %package
    heisenbug-backgrounds.src:131: W: macro-in-comment %{name}
    heisenbug-backgrounds.src:133: W: macro-in-comment %description
    heisenbug-backgrounds.src:161: W: macro-in-comment %files
    heisenbug-backgrounds.src:162: W: macro-in-comment %dir
    heisenbug-backgrounds.src:162: W: macro-in-comment %{_datadir}
    heisenbug-backgrounds.src:162: W: macro-in-comment %{bgname}
    heisenbug-backgrounds.src:163: W: macro-in-comment %{_datadir}
    heisenbug-backgrounds.src:163: W: macro-in-comment %{bgname}
    heisenbug-backgrounds.src:164: W: macro-in-comment %{_datadir}
    heisenbug-backgrounds.src:164: W: macro-in-comment %{bgname}
    heisenbug-backgrounds.src:165: W: macro-in-comment %{_datadir}
    heisenbug-backgrounds.src:165: W: macro-in-comment %{bgname}
    heisenbug-backgrounds.src:166: W: macro-in-comment %{_datadir}
    heisenbug-backgrounds.src:166: W: macro-in-comment %{bgname}
    heisenbug-backgrounds.src:166: W: macro-in-comment %{bgname}
    heisenbug-backgrounds.src:180: W: macro-in-comment %files
    heisenbug-backgrounds.src:181: W: macro-in-comment %doc
    heisenbug-backgrounds.src:182: W: macro-in-comment %{_datadir}
    heisenbug-backgrounds.src:182: W: macro-in-comment %{bgname}
    heisenbug-backgrounds.src:183: W: macro-in-comment %{_datadir}
    heisenbug-backgrounds.src:183: W: macro-in-comment %{bgname}
    heisenbug-backgrounds.src:184: W: macro-in-comment %{_datadir}
    heisenbug-backgrounds.src:184: W: macro-in-comment %{bgname}
    heisenbug-backgrounds.src:184: W: macro-in-comment %{bgname}
    heisenbug-backgrounds.src:186: W: macro-in-comment %files
    heisenbug-backgrounds.src:187: W: macro-in-comment %{_datadir}
    heisenbug-backgrounds.src:187: W: macro-in-comment %{bgname}
    heisenbug-backgrounds.src:189: W: macro-in-comment %files
    heisenbug-backgrounds.src:190: W: macro-in-comment %{_kde4_datadir}
    heisenbug-backgrounds.src:190: W: macro-in-comment %{Bg_Name}
    heisenbug-backgrounds.src:192: W: macro-in-comment %files
    heisenbug-backgrounds.src:193: W: macro-in-comment %{_datadir}
    heisenbug-backgrounds.src:193: W: macro-in-comment %{bgname}
    heisenbug-backgrounds.src:195: W: macro-in-comment %files
    heisenbug-backgrounds.src:196: W: macro-in-comment %{_datadir}
    heisenbug-backgrounds.src:197: W: macro-in-comment %{_datadir}
    1 packages and 0 specfiles checked; 0 errors, 54 warnings.

    as noted above, this is OK - the artwork for f20 isn't done yet and the wiki page hasn't been created, the comment warnings are for code that's waiting to be enabled at a later time. the package

     - License is acceptable: yes, CC-BY-SA
     - License field in spec is correct: yes
     - License files included in package %docs if included in source package NA
     - License files installed when any subpackage combination is installed: OK
     - Spec written in American English: OK
     - Spec is legible: OK
     - Sources match upstream unless altered to fix permissibility issues
       Upstream SHA256: ...
       Your SHA256:     ...
     - Build succeeds on at least one primary arch: OK, tested on x86_64
     - Build succeeds on all primary arches or has ExcludeArch + bugs filed: noarch
     - BuildRequires correct, justified where necessary: NA
     - Locales handled with %find_lang, not %_datadir/locale/* : NA
     - %post, %postun call ldconfig if package contains shared .so files: NA
     - No bundled libs: OK
     - Relocatability is justified: NA
     - Package owns all directories it creates: OK
     - Package requires others for directories it uses but does not own: OK
     - No duplication in %files unless necessary for license files: OK
     - File permissions are sane: OK
     - Package contains permissible code or content: OK
     - Large docs go in -doc subpackage: NA
     - %doc files not required at runtime: NA
     - Static libs go in -static package/virtual Provides: NA
     - Development files go in -devel package: NA
     - -devel packages Require base with fully-versioned dependency, %_isa: NA
     - No .la files: OK
     - GUI app uses .desktop file, installs it with desktop-file-install: NA
     - File list does not conflict with other packages' without justification: OK
     - File names are valid UTF-8: OK

    Optional review guidelines:
     - Query upstream about including license files: NA, already exist
     - Translations of description, summary
     - Builds in mock: OK
     - Builds on all arches: NA, noarch
     - Functions as described (e.g. no crashes): OK
     - Scriptlets are sane: NA
     - Subpackages require base with fully-versioned dependency if sensible: OK
     - .pc file subpackage placement is sensible: NA
     - No file deps outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin: OK
     - Include man pages if available: NA

    Naming guidelines:
     - Package names use only a-zA-Z0-9-._+ subject to restrictions on -._+ : OK
     - Package names are sane: OK
     - No naming conflicts: OK
     - Spec file name matches base package name: OK
     - Version is sane: OK
     - Version does not contain ~: OK
     - Release is sane: OK
     - %dist tag: OK
     - Case used only when necessary: OK
     - Renaming handled correctly: OK

    Packaging guidelines:
     - Useful without external bits: OK
     - No kmods: OK
     - Pre-built binaries, libs removed in %prep: OK
     - Sources contain only redistributable code or content: OK
     - Spec format is sane: OK
     - Package obeys FHS, except libexecdir, /run, /usr/target: OK
     - No files in /bin, /sbin, /lib* on >= F17: OK
     - Programs run before FS mounting use /run instead of /var/run: NA
     - Binaries in /bin, /sbin do not depend on files in /usr on < F17: NA
     - No files under /srv, /opt, /usr/local: OK
     - Changelog in prescribed format: OK
     - No Packager, Vendor, Copyright, PreReq tags: OK
     - Summary does not end in a period: OK
     - Correct BuildRoot tag on < EL6: NA, fedora only
     - Correct %clean section on < EL6: NA, fedora only
     - Requires correct, justified where necessary: OK
     - Summary, description do not use trademarks incorrectly: OK
     - All relevant documentation is packaged, appropriately marked with %doc: OK
     - Doc files do not drag in extra dependencies (e.g. due to +x): OK
     - Code compilable with gcc is compiled with gcc: OK
     - Build honors applicable compiler flags or justifies otherwise: OK
     - PIE used for long-running/root daemons, setuid/filecap programs: OK
     - Useful -debuginfo package or disabled and justified: OK
     - Package with .pc files Requires pkgconfig on < EL6: NA
     - No static executables: OK
     - Rpath absent or only used for internal libs: OK
     - Config files marked with %config(noreplace) or justified %config: NA
     - No config files under /usr: OK
     - Third party package manager configs acceptable, in %_docdir: NA
     - .desktop files are sane: NA, no desktop files
     - Spec uses macros consistently: OK
     - Spec uses macros instead of hard-coded names where appropriate: OK
     - Spec uses macros for executables only when configurability is needed: OK
     - %makeinstall used only when alternatives don't work: NA
     - Macros in Summary, description are expandable at srpm build time: NA
     - Spec uses %{SOURCE#} instead of $RPM_SOURCE_DIR and %sourcedir: NA
     - No software collections (scl): OK
     - Macro files named /etc/rpm/macros.%name: NA
     - Build uses only python/perl/shell+coreutils/lua/BuildRequired langs: OK
     - %global, not %define: OK
     - Package translating with gettext BuildRequires it: NA
     - Package translating with Linguist BuildRequires qt-devel: NA
     - File ops preserve timestamps: OK
     - Parallel make: NA
     - No Requires(pre,post) notation: OK
     - User, group creation handled correctly (See Packaging:UsersAndGroups): NA
     - Web apps go in /usr/share/%name, not /var/www: OK
     - Conflicts are justified: NA, no conflicts
     - One project per package: OK
     - No bundled fonts: OK
     - Patches have appropriate commentary: NA, no patches
     - Available test suites executed in %check: NA, no tests - just desktop backgrounds
     - tmpfiles.d used for /run, /run/lock on >= F15: NA, no tempfiles


    Overall, looks good to me. Tested with F20 gnome and kde, works fine.
Comment 3 Tim Flink 2013-09-09 19:08:32 EDT
Since we're a bit short on time and mso is asleep, making scm request.

New Package SCM Request
=======================
Package Name: heisenbug-backgrounds
Short Description: Heisenbug desktop backgrounds
Owners: mso
Branches: f20
InitialCC:
Comment 4 Kevin Fenzi 2013-09-09 19:09:50 EDT
Git done (by process-git-requests).
Comment 5 Design Software 2013-09-10 04:29:19 EDT
Scm request to cc to design-sw pseudo fas

New Package SCM Request
=======================
Package Name: heisenbug-backgrounds
Short Description: Heisenbug desktop backgrounds
Owners: mso
Branches: f20
InitialCC: design-sw
Comment 6 Fedora Update System 2013-09-10 06:59:48 EDT
heisenbug-backgrounds-19.90.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/heisenbug-backgrounds-19.90.0-1.fc20
Comment 7 Jon Ciesla 2013-09-10 08:05:20 EDT
Aleady exists.
Comment 8 Fedora Update System 2013-09-10 12:22:19 EDT
Package heisenbug-backgrounds-19.90.0-1.fc20, desktop-backgrounds-20.0.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing heisenbug-backgrounds-19.90.0-1.fc20 desktop-backgrounds-20.0.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16256/desktop-backgrounds-20.0.0-1.fc20,heisenbug-backgrounds-19.90.0-1.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-09-13 23:09:52 EDT
heisenbug-backgrounds-19.90.0-1.fc20, desktop-backgrounds-20.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.